<template>
	<div class="stats">
		<div class="main-block">
			<div class="fn_header">
				<h3>{{ $store.state.locale.statCallcenter }}</h3>
			</div>
			<div class="fn_content">
				<div class="row">
					<div class="col-lg-12">
						<div class="chart-block">
							<div class="chart-title mt--120">{{ $store.state.locale.busyFreeOperators }}</div>
							<div class="chart">
								<div id="chart_busy">
									<apexchart ref="chart" type=radialBar height=350 :options="bronOptions"
											   :series="bronSeries"/>
								</div>
							</div>
						</div>
						<div class="table-block row">
							<div class="col-lg-6">
								<table class="table table-striped table-red mt--150">
									<thead>
									<tr>
										<th class="w-50" colspan="2">{{ $store.state.locale.busyOperators }}</th>
									</tr>
									</thead>
									<tbody>
									<tr v-if="index < 10" v-for="(busyAgent, index) in busyAgents">
										<td>{{busyAgent.name}}</td>
										<td>{{busyAgent.inStatusTime | filterDate}}</td>
									</tr>
									</tbody>
								</table>
							</div>
							<div class="col-lg-6">
								<table class="table table-striped table-green mt--150">
									<thead>
									<tr>
										<th class="w-50" colspan="2">{{ $store.state.locale.freeOperators }}</th>
									</tr>
									</thead>
									<tbody>
									<tr v-if="index < 10" v-for="(avialableAgent, index) in avialableAgents">
										<td>{{avialableAgent.name}}</td>
										<td>{{avialableAgent.inStatusTime | filterDate}}</td>
									</tr>
									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</template>
<script src="./index.js"></script>